Set the discount allowance, price floor and payments
PUT
/v1/workspace/pricing-policy
const url = 'https://api.vocapable.com/v1/workspace/pricing-policy';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expected_revision":1,"max_discount_bps":1,"min_total_minor":1,"floor_currency":"example","payment_required_before_delivery":false,"customer_payments":"off","default_currency":"USD"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.vocapable.com/v1/workspace/pricing-policy \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expected_revision": 1, "max_discount_bps": 1, "min_total_minor": 1, "floor_currency": "example", "payment_required_before_delivery": false, "customer_payments": "off", "default_currency": "USD" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspacePricingPolicyUpdate
object
max_discount_bps
required
Max Discount Bps
integer
payment_required_before_delivery
Payment Required Before Delivery
boolean
customer_payments
Customer Payments
string
default_currency
Default Currency
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspacePricingPolicy
object
configured
required
Configured
boolean
max_discount_bps
required
Max Discount Bps
integer
payment_required_before_delivery
required
Payment Required Before Delivery
boolean
customer_payments
required
Customer Payments
string
default_currency
required
Default Currency
string
revision
required
Revision
integer
updated_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
Example
{ "customer_payments": "off"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}